@font-face {
    font-family: 'Inter';
    src: url('Inter_min.woff2') format('woff2');
    font-weight: 100 900;
    font-display: swap;
}

/* Make a custom fallback font based on the local Arial */
@font-face {
    font-family: "Inter-fallback";
    size-adjust: 107%;
    src: local("Arial");
}

/* Set the body (or any other selector) to Inter, but if it is missing fallback to our bespoke fallback 'Inter-fallback'  */
body {
    font-family: "Inter", "Inter-fallback", sans-serif;
    /* The value doesn't matter, but you must specify a line-height for all text with custom fonts to avoid CLS */
    line-height: 1.5em;
}

* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    line-height: 1.6;
    overflow: hidden;
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}

.logo {
    height: 40px;
    margin: 2vw 0 0 5vw;
    z-index: 2;
    position: relative;
}

.background-gradient {
    --rgb-blue-400: 126, 167, 233;
    --rgb-seafoam-400: 148, 239, 183;
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    -webkit-mask-image: radial-gradient(farthest-side at 50% 50%, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0));
    mask-image: radial-gradient(farthest-side at 50% 50%, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0));
    background-image: linear-gradient(90deg, rgba(var(--rgb-blue-400), 1), rgba(var(--rgb-seafoam-400), 1));
    filter: hue-rotate(0deg);
}

.background-gradient-pattern {
    position: absolute;
    inset: 0px;
    background-image: url(pattern.svg);
    background-repeat: repeat;
    background-position: right top;
    background-size: 20px, 20px;
    mix-blend-mode: overlay;
    opacity: .6;
}

.about {
    margin: 0.5vw 0 2vw 5vw;
    max-width: 680px;
    color: #595959;
    text-wrap: pretty;
}

.contact {
    margin: 0 5vw 2vw 0;
    bottom: 0;
    right: 0;
    position: fixed;
    max-width: 740px;
    color: #595959;
    display: flex;
    flex-direction: column;
    text-align: right;
}

a {
    padding: 7px 0;
    background-color: transparent;
    text-decoration-skip-ink: auto;
    text-decoration-thickness: 1px;
    text-underline-offset: 3px;
    text-decoration-line: underline;
    color: #006fc6;
}

a:hover {
    color: #004c8c;
}

@media (max-width: 768px) {
    * {
        filter: zoom(.94);
    }

    .logo {
        margin: 7vw auto 5vw 5vw;
        display: block;
    }
}